Skip to content

@ksynb ksynb released this Feb 12, 2019

Mandatory Upgrade

Protocol enforcement will happen on March 12, 2019

Neos 4 is a mandatory upgrade as it introduces a fix for a newly-discovered "fake stake" bug.

Upgrading

You want to be sure to shut down Neos before copying wallet.dat anywhere else.
We always advise backing up your current wallet.dat in conjunction with using dumpwallet and storing an encrypted copy of that dump somewhere safe.

Windows

  • Shut down Neos
  • Download the appropriate archive for either 64-bit or 32-bit Windows and run the installer.

Linux

Option 1: Build from source

If you still have your Neos source directory there:

  • neos-cli stop (or File -> Exit if running the Qt)
  • cd neos-core && git pull && make && strip src/neosd && strip src/qt/neos-qt
  • Place neosd, neos-tx, neos-cli and neos-qt in whichever path you currently had the previous version installed

If not:

Option 2: Download the pre-built binares below

If you don't want to build from source, you can download neosv4-x86_64-Linux.tar.gz below and just run neosd or neos-qt

ARM

  • neos-cli stop (or File -> Exit if running the Qt)
  • Download the above ARM archive and unpack it
  • Place neosd, neos-tx, neos-cli and neos-qt in whichever path you currently had the previous version installed

Apple

  • Shut down Neos
  • Download the above DMG and install the app
Assets 8
You can’t perform that action at this time.